%global _empty_manifest_terminate_build 0
Name:           python-blazarclient
Version:        3.2.0
Release:        3
Summary:        Client for OpenStack Reservation Service
License:        Apache-2.0
URL:            https://launchpad.net/blazar
Source0:        https://files.pythonhosted.org/packages/3f/dc/99d0ea05050fe6f07d0d024e36c4dad070bfdddf88ac08534832ebfd318d/python-blazarclient-3.2.0.tar.gz
BuildArch:      noarch
%description
This is a client for the OpenStack Blazar API. It provides a Python API (the blazarclient module) and a command-line script (blazar).

%package -n python3-blazarclient
Summary:        Client for OpenStack Reservation Service
Provides:       python-blazarclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-babel
BuildRequires:  python3-prettytable
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils == 4.8.0
# General requires
Requires:       python3-babel
Requires:       python3-prettytable
Requires:       python3-cliff
Requires:       python3-keystoneauth1
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
%description -n python3-blazarclient
This is a client for the OpenStack Blazar API. It provides a Python API (the blazarclient module) and a command-line script (blazar).

%package help
Summary:        Client for OpenStack Reservation Service
Provides:       python3-blazarclient-doc
%description help
This is a client for the OpenStack Blazar API. It provides a Python API (the blazarclient module) and a command-line script (blazar).

%prep
%autosetup -n python-blazarclient-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# hacking doesn't satisfy the test required version
#%check
#%{__python3} setup.py test

%files -n python3-blazarclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 3.2.0-3
- Fix install error

* Tue Oct 25 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 3.2.0-2
- Drop check part

* Mon Feb 14 2022 OpenStack_SIG <openstack@openeuler.org> - 3.2.0-1
- Init package python3-blazarclient of version 3.2.0

